pub struct Home {
pub url: String,
pub node_id: ContentHash,
}Expand description
The home a seed copies: its base URL and the node key it signs with.
Fields§
§url: StringBase URL, without a trailing slash: <url>/api/log, and
<url>/<owner>/<name>.git for git.
node_id: ContentHashThe home’s node actor id, as its GET /api/signers named it and
this seed pinned it.
Trait Implementations§
impl Eq for Home
impl StructuralPartialEq for Home
Auto Trait Implementations§
impl Freeze for Home
impl RefUnwindSafe for Home
impl Send for Home
impl Sync for Home
impl Unpin for Home
impl UnsafeUnpin for Home
impl UnwindSafe for Home
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more